Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.remote.server
Interface RemoteProcessSrv

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  RemoteProcessSrvImpl

public interface RemoteProcessSrv
extends java.rmi.Remote

Server interface to the remote native process.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `RemoteProcess`

Method Summary
`int` | `availableInErr()`
`int` | `availableInIn()`
`void` | `closeErr()`
`void` | `closeIn()`
`void` | `closeOut()`
`void` | `destroy()`
`int` | `exitValue()`
`void` | `flushOut()`
`byte[]` | `readFromErr(int maxbytes)`
`byte[]` | `readFromIn(int maxbytes)`
`long` | `skipInErr(long n)`
`long` | `skipInIn(long n)`
`int` | `waitFor()`
`void` | `writeToOut(byte[] buf)`

Method Detail

### destroy

    public void destroy()
                 throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### waitFor

    public int waitFor()
                throws java.rmi.RemoteException,
                       java.lang.InterruptedException

  Throws:
    `java.rmi.RemoteException`
    `java.lang.InterruptedException`

### exitValue

    public int exitValue()
                  throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### readFromIn

    public byte[] readFromIn(int maxbytes)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### availableInIn

    public int availableInIn()
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipInIn

    public long skipInIn(long n)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeIn

    public void closeIn()
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFromErr

    public byte[] readFromErr(int maxbytes)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### availableInErr

    public int availableInErr()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### skipInErr

    public long skipInErr(long n)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeErr

    public void closeErr()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToOut

    public void writeToOut(byte[] buf)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### flushOut

    public void flushOut()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### closeOut

    public void closeOut()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD